<codehints>
  <codehint pattern="on (press) {\n}\n" />
  <codehint pattern="on (release) {\n}\n" />
  <codehint pattern="on (releaseOutside) {\n}\n" />
  <codehint pattern="on (rollOver) {\n}\n" />
  <codehint pattern="on (rollOut) {\n}\n" />
  <codehint pattern="on (dragOver) {\n}\n" />
  <codehint pattern="on (dragOut) {\n}\n" />
  <codehint pattern="on (keyPress &quot;&lt;Left&gt;&quot;) {\n}\n" />
  <codehint pattern="on (keyPress &quot;&lt;Right&gt;&quot;) {\n}\n" />
  <codehint pattern="on (keyPress &quot;&lt;Home&gt;&quot;) {\n}\n" />
  <codehint pattern="on (keyPress &quot;&lt;End&gt;&quot;) {\n}\n" />
  <codehint pattern="on (keyPress &quot;&lt;Insert&gt;&quot;) {\n}\n" />
  <codehint pattern="on (keyPress &quot;&lt;Delete&gt;&quot;) {\n}\n" />
  <codehint pattern="on (keyPress &quot;&lt;Backspace&gt;&quot;) {\n}\n" />
  <codehint pattern="on (keyPress &quot;&lt;Enter&gt;&quot;) {\n}\n" />
  <codehint pattern="on (keyPress &quot;&lt;Up&gt;&quot;) {\n}\n" />
  <codehint pattern="on (keyPress &quot;&lt;Down&gt;&quot;) {\n}\n" />
  <codehint pattern="on (keyPress &quot;&lt;PageUp&gt;&quot;) {\n}\n" />
  <codehint pattern="on (keyPress &quot;&lt;PageDown&gt;&quot;) {\n}\n" />
  <codehint pattern="on (keyPress &quot;&lt;Tab&gt;&quot;) {\n}\n" />
  <codehint pattern="on (keyPress &quot;&lt;Escape&gt;&quot;) {\n}\n" />
  <codehint pattern="on (keyPress &quot;&lt;Space&gt;&quot;) {\n}\n" />
  <codehint pattern="onClipEvent (load) {\n}\n" />
  <codehint pattern="onClipEvent (unload) {\n}\n" />
  <codehint pattern="onClipEvent (enterFrame) {\n}\n" />
  <codehint pattern="onClipEvent (mouseDown) {\n}\n" />
  <codehint pattern="onClipEvent (mouseMove) {\n}\n" />
  <codehint pattern="onClipEvent (mouseUp) {\n}\n" />
  <codehint pattern="onClipEvent (keyDown) {\n}\n" />
  <codehint pattern="onClipEvent (keyUp) {\n}\n" />
  <codehint pattern="onClipEvent (data) {\n}\n" />
  <typeinfo pattern="*_mc" object="MovieClip" />
  <typeinfo pattern="*_array" object="Array" />
  <typeinfo pattern="*_str" object="String" />
  <typeinfo pattern="*_btn" object="Button" />
  <typeinfo pattern="*_txt" object="TextField" />
  <typeinfo pattern="*_fmt" object="TextFormat" />
  <typeinfo pattern="*_date" object="Date" />
  <typeinfo pattern="*_sound" object="Sound" />
  <typeinfo pattern="*_xml" object="XML" />
  <typeinfo pattern="*_xmlsocket" object="XMLSocket" />
  <typeinfo pattern="*_color" object="Color" />
  <typeinfo pattern="_level*" object="MovieClip" />
  <typeinfo pattern="_parent" object="MovieClip" />
  <typeinfo pattern="_root" object="MovieClip" />
</codehints>


